漏洞信息详情

tcpdump PGM解析器缓冲区错误漏洞

  • CNNVD编号:CNNVD-201709-675
  • 危害等级: 超危
  • CVE编号: CVE-2017-13018
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2017-09-19
  • 威胁类型: 远程
  • 更新时间: 2019-10-23
  • 厂        商: tcpdump
  • 漏洞来源:

漏洞简介

tcpdump是Tcpdump团队开发的一套运行在命令行下的嗅探工具。该工具主要用于数据包分析和网络流量捕获等。PGM parser是其中的一个传输层的多播协议解析器。

tcpdump 4.9.1及之前的版本中的PGM解析器的print-pgm.c文件的‘pgm_print()’函数存在缓冲区溢出漏洞。远程攻击者可利用该漏洞造成拒绝服务(缓冲区越边界读取和应用程序崩溃)。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

http://www.tcpdump.org/tcpdump-changes.txt

参考网址

来源:CONFIRM

链接:https://support.apple.com/HT208221

来源:GENTOO

链接:https://security.gentoo.org/glsa/201709-23

来源:SECTRACK

链接:http://www.securitytracker.com/id/1039307

来源:REDHAT

链接:https://access.redhat.com/errata/RHEA-2018:0705

来源:CONFIRM

链接:https://github.com/the-tcpdump-group/tcpdump/commit/26a6799b9ca80508c05cac7a9a3bef922991520b

来源:DEBIAN

链接:https://www.debian.org/security/2017/dsa-3971

来源:CONFIRM

链接:http://www.tcpdump.org/tcpdump-changes.txt

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192674-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-201914191-1.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3840/

受影响实体

漏洞信息快速查询

相关漏洞

更多